curl --request GET \
--url https://api.hyperline.co/v2/invoices \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "inv_1eTaiytfA0i2Va",
"number": "INV-35",
"type": "invoice",
"document_name": null,
"status": "paid",
"reference": "V0KAHOU6J3",
"purchase_order": "PO-12345",
"currency": "EUR",
"source": "hyperline",
"total_amount": 24000,
"amount_due": 0,
"amount_paid": 24000,
"amount_fixed": 20000,
"amount_excluding_tax": 20000,
"tax_amount": 4000,
"tax_scheme": "standard",
"discount_amount": 0,
"conversion_rate": 1,
"converted_amount": 24000,
"converted_at": "2024-10-13T02:00:00.000Z",
"payment_method_id": "pm_1ryTrMj4TTAT1N",
"bank_account_id": "bac_KJyPrMA1toAqRG",
"custom_note": "Thank you for your purchase!",
"additional_info": "This invoice must be paid within the payment delay indicated. After this period a late payment penalty of 10% will be applied.",
"footer": "ACME (Acme SAS) is a company registered in France | SIREN N°123456",
"customer": {
"id": "cus_Typ0px2W0aiEtl",
"name": "Acme",
"email": "billing@acme.com",
"external_id": null,
"tax_id": "FR123456789",
"address": {
"name": "Acme",
"line1": "5 rue de Paradis",
"line2": null,
"city": "Paris",
"zip": "75010",
"state": "CA",
"country": "FR"
}
},
"seller": {
"id": "ive_47484fjdhy5",
"name": "Name of the invoicing entity",
"tax_id": "FR5878986578",
"address": {
"name": "Acme",
"line1": "5 rue de Paradis",
"line2": null,
"city": "Paris",
"zip": "75010",
"state": "CA",
"country": "FR"
}
},
"subscription_id": "sub_amiaWZ3lzDIWaoT",
"period_starts_at": "2024-10-13T00:00:00.000Z",
"period_ends_at": "2024-11-13T00:00:00.000Z",
"emitted_at": "2024-10-13T00:00:00.000Z",
"due_at": "2024-11-12T00:00:00.000Z",
"refunded_at": null,
"grace_period_ended_at": null,
"settled_at": "2024-10-15T14:01:56.000Z",
"updated_at": "2024-10-15T14:01:56.000Z",
"properties": null,
"original_invoice_id": null,
"original_invoice_number": null,
"line_items": [
{
"id": "ili_0FACNpeoEFkGu3",
"name": "Platform access",
"entry_type": "debit",
"product_id": "itm_KbLcWt2qm5p1S2",
"product_type": "flat_fee",
"units_count": 1,
"unit_amount": 24000,
"amount": 24000,
"amount_excluding_tax": 20000,
"tax_rate": 20,
"tax_rate_id": null,
"tax_amount": 4000,
"discount_amount": 0,
"discount_percent": 123,
"period_starts_at": "2024-10-13T00:00:00.000Z",
"period_ends_at": "2024-11-13T00:00:00.000Z",
"revenue_type": "recurring",
"revenue_interval_count": 1,
"revenue_interval_period": "months",
"display_unit_amount": true,
"display_service_period": true,
"original_line_item_id": null
}
],
"coupons": [
{
"id": "cou_DKL4Xcb5VSa8CQ",
"name": "Partner discount",
"discount_amount": 2000,
"discount_percent": null,
"line_item_ids": [
"ili_0FACNpeoEFkGu3"
]
}
],
"transactions": [
{
"id": "tra_2QdJDDUej969ev",
"type": "subscription",
"amount": 31500,
"currency": "EUR",
"customer_id": "cus_QalW2vTAdkR6IY",
"provider_id": "<string>",
"process_at": "2024-11-12T07:38:39.222Z",
"refunded_at": null,
"last_refreshed_at": null,
"provider_fee": null,
"chargeback": null,
"integrations": [
{
"entity_id": "123456789",
"provider_name": "stripe",
"provider_account_id": "acc_1234567890"
}
],
"payment_method": {
"id": "pm_1xMpj5bwRqN7LM",
"status": "active",
"type": "card",
"last_4_digits": 2718,
"expiration_date": "2027-11",
"brand": "<string>"
},
"status": "settled"
}
],
"public_url": "<string>"
}
],
"next_cursor": null,
"has_more": false,
"total": 1
}Retrieve invoices using cursor-based (keyset) pagination. Pass include_total=true to also return a total count (slow). v2 also drops fields deprecated in v1 (tax_rate, customer.vat_number).
curl --request GET \
--url https://api.hyperline.co/v2/invoices \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "inv_1eTaiytfA0i2Va",
"number": "INV-35",
"type": "invoice",
"document_name": null,
"status": "paid",
"reference": "V0KAHOU6J3",
"purchase_order": "PO-12345",
"currency": "EUR",
"source": "hyperline",
"total_amount": 24000,
"amount_due": 0,
"amount_paid": 24000,
"amount_fixed": 20000,
"amount_excluding_tax": 20000,
"tax_amount": 4000,
"tax_scheme": "standard",
"discount_amount": 0,
"conversion_rate": 1,
"converted_amount": 24000,
"converted_at": "2024-10-13T02:00:00.000Z",
"payment_method_id": "pm_1ryTrMj4TTAT1N",
"bank_account_id": "bac_KJyPrMA1toAqRG",
"custom_note": "Thank you for your purchase!",
"additional_info": "This invoice must be paid within the payment delay indicated. After this period a late payment penalty of 10% will be applied.",
"footer": "ACME (Acme SAS) is a company registered in France | SIREN N°123456",
"customer": {
"id": "cus_Typ0px2W0aiEtl",
"name": "Acme",
"email": "billing@acme.com",
"external_id": null,
"tax_id": "FR123456789",
"address": {
"name": "Acme",
"line1": "5 rue de Paradis",
"line2": null,
"city": "Paris",
"zip": "75010",
"state": "CA",
"country": "FR"
}
},
"seller": {
"id": "ive_47484fjdhy5",
"name": "Name of the invoicing entity",
"tax_id": "FR5878986578",
"address": {
"name": "Acme",
"line1": "5 rue de Paradis",
"line2": null,
"city": "Paris",
"zip": "75010",
"state": "CA",
"country": "FR"
}
},
"subscription_id": "sub_amiaWZ3lzDIWaoT",
"period_starts_at": "2024-10-13T00:00:00.000Z",
"period_ends_at": "2024-11-13T00:00:00.000Z",
"emitted_at": "2024-10-13T00:00:00.000Z",
"due_at": "2024-11-12T00:00:00.000Z",
"refunded_at": null,
"grace_period_ended_at": null,
"settled_at": "2024-10-15T14:01:56.000Z",
"updated_at": "2024-10-15T14:01:56.000Z",
"properties": null,
"original_invoice_id": null,
"original_invoice_number": null,
"line_items": [
{
"id": "ili_0FACNpeoEFkGu3",
"name": "Platform access",
"entry_type": "debit",
"product_id": "itm_KbLcWt2qm5p1S2",
"product_type": "flat_fee",
"units_count": 1,
"unit_amount": 24000,
"amount": 24000,
"amount_excluding_tax": 20000,
"tax_rate": 20,
"tax_rate_id": null,
"tax_amount": 4000,
"discount_amount": 0,
"discount_percent": 123,
"period_starts_at": "2024-10-13T00:00:00.000Z",
"period_ends_at": "2024-11-13T00:00:00.000Z",
"revenue_type": "recurring",
"revenue_interval_count": 1,
"revenue_interval_period": "months",
"display_unit_amount": true,
"display_service_period": true,
"original_line_item_id": null
}
],
"coupons": [
{
"id": "cou_DKL4Xcb5VSa8CQ",
"name": "Partner discount",
"discount_amount": 2000,
"discount_percent": null,
"line_item_ids": [
"ili_0FACNpeoEFkGu3"
]
}
],
"transactions": [
{
"id": "tra_2QdJDDUej969ev",
"type": "subscription",
"amount": 31500,
"currency": "EUR",
"customer_id": "cus_QalW2vTAdkR6IY",
"provider_id": "<string>",
"process_at": "2024-11-12T07:38:39.222Z",
"refunded_at": null,
"last_refreshed_at": null,
"provider_fee": null,
"chargeback": null,
"integrations": [
{
"entity_id": "123456789",
"provider_name": "stripe",
"provider_account_id": "acc_1234567890"
}
],
"payment_method": {
"id": "pm_1xMpj5bwRqN7LM",
"status": "active",
"type": "card",
"last_4_digits": 2718,
"expiration_date": "2027-11",
"brand": "<string>"
},
"status": "settled"
}
],
"public_url": "<string>"
}
],
"next_cursor": null,
"has_more": false,
"total": 1
}Documentation Index
Fetch the complete documentation index at: https://docs.hyperline.co/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Maximum number of items to return (1-100).
x <= 10050
Opaque cursor returned in the previous response's next_cursor. Omit to fetch the first page.
Set to true to include total in the response. Off by default because computing the total runs a full COUNT(*) and is significantly slower on large datasets.
false
Sort direction.
asc, desc "desc"
Field used to sort the results.
created_at, emitted_at invoice, refund, document, child_invoice_ref, child_creditnote_ref invoice, refund, document, child_invoice_ref, child_creditnote_ref all, open, grace_period, to_pay, to_reconcile, error, paid, partially_paid, outstanding, refunded, late, draft, voided, closed, uncollectible all, open, grace_period, to_pay, to_reconcile, error, paid, partially_paid, outstanding, refunded, late, draft, voided, closed, uncollectible List of InvoiceV2.
Show child attributes
Cursor to fetch the next page. null when there are no more items.
null
Whether more items are available after this page.
false
Total number of items matching the filters. Only present when include_total=true was passed.
1
Was this page helpful?